Skip to main content

OverlyComplexSupportsDependsMetadata

All Cookstyle Cops


The department is: Chef/Style

The full name of the cop is: Chef/Style/OverlyComplexSupportsDependsMetadata


Enabled by defaultSupports autocorrectionTarget Chef Version
EnabledYesAll Versions

Don’t loop over an array to set cookbook dependencies or supported platforms if you have fewer than three values to set. Setting multiple supports or depends values is simpler and easier to understand for new users.

Examples

incorrect


%w( debian ubuntu ).each do |os|
  supports os
end

%w( apt yum ).each do |cb|
  depends cb
end

correct


supports 'debian'
supports 'ubuntu'

depends 'apt'
depends 'yum'

Configurable attributes

NameDefault valueConfigurable values
Version Added5.19.0String
Include
  • **/metadata.rb
Array

Was this page helpful?